std::__detail::_SpecializedCursor< _FwdIterT > Class Template Reference
Base and Implementation Classes
Inheritance diagram for std::__detail::_SpecializedCursor< _FwdIterT >:
[legend]

## Public Member Functions

| _SpecializedCursor (const _FwdIterT &__b, const _FwdIterT __e)
bool | _M_at_end () const
const _FwdIterT & | _M_begin () const
std::iterator_traits < _FwdIterT >::value_type | _M_current () const
const _FwdIterT & | _M_end () const
void | _M_next ()
_FwdIterT | _M_pos () const

## Detailed Description

### template<typename _FwdIterT>
class std::__detail::_SpecializedCursor< _FwdIterT >

Provides a cursor into the specific target string.

Definition at line 53 of file regex_cursor.h.

The documentation for this class was generated from the following file:

- regex_cursor.h